cargo: update libsystemd to latest version

This bumps libsystemd dependency to 0.3.0.
1 job for ups/cargo-bump-libsystemd in 27 seconds (queued for 8 seconds)
Status Name Job ID Coverage
  Test
failed test:cargo #11803117

00:00:27

 
Name Stage Failure
failed
test:cargo Test
Source dir: /builds/lucab/libslirp-rs/libslirp
Build dir: /builds/lucab/libslirp-rs/libslirp/build
Build type: native build

meson.build:1:0: ERROR: Meson version is 0.49.2 but project requires >= 0.50.

A full log can be found at /builds/lucab/libslirp-rs/libslirp/build/meson-logs/meson-log.txt
Cleaning up file based variables
ERROR: Job failed: exit code 1